# README

The codebase of Vista: A Generalizable Driving World Model with High Fidelity and Versatile Controllability.

## Prerequisites

- Ubuntu 22.04
- Python 3.9
- PyTorch 2.0
- CUDA 11.3

## Training

```shell
torchrun main.py \
    --base configs/training/vista.yaml \
    --num_nodes 16 \
    --n_devices 8
```

## Sampling

- **Short-term prediction**

  ```shell
  python sampling.py
  ```

- **Long-term rollout**

  Increase `NUM_ROUNDS` in sampling.py, and then

  ```shell
  python sampling.py
  ```

- **Reward estimation**

  ```shell
  python reward.py
  ```